%define oname   fcgi

Name:       ruby-%{oname}
Version:    0.8.8
Release:    %mkrel 3
Summary:    FastCGI library for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://rubyforge.org/projects/fcgi/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: libfcgi-devel
Requires:   ruby(abi) = 1.8

%description
FastCGI is a language independent, scalable, open extension to CGI that
provides high performance without the limitations of server specific APIs.
For more information, see http://www.fastcgi.com/.

%files
%defattr(-, root, root, -)
%doc README ChangeLog README.signals
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/%{oname}.so
%doc %{ruby_gemdir}/doc/%{oname}-%{version}

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Fri Feb 25 2011 shikamaru <shikamaru> 0.8.8-3.mga1
+ Revision: 59494
- do not add doc subpackage
- imported package ruby-fcgi


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.8.8-3mdv2011.0
- Apply new ruby policy
- Apply general mageia policy
- Use Gem source
- Fix License

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.8-2mdv2011.0
+ Revision: 614739
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.8-1mdv2010.1
+ Revision: 531350
- new version

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.8.7-5mdv2010.0
+ Revision: 433499
- rebuild

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-4mdv2009.0
+ Revision: 260404
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 0.8.7-3mdv2009.0
+ Revision: 251642
- rebuild

* Sun Feb 10 2008 Michael Scherer <misc@mandriva.org> 0.8.7-1mdv2008.1
+ Revision: 164795
- import ruby-fcgi


